CREATE procedure [C6StagingPeriodico].[RP_ST_Migraz_Pianificazione]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Migraz_Pianificazione',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_Migraz_Pianificazione
	insert into C6StagingPeriodico.RP_Migraz_Pianificazione
	SELECT
		chiaveConsulenza
		,chiaveClientePB
		,dtUltimoAggiornamento
		,risorseFinanziarieBF
		,risorseFinanziarieTerzi
		,contoCorrente
		,rischioCredito
		,rischioMercato
		,diversificazione
		,copertura
		,isAttivoRC
		,partiteViaggianti
		,dtPrimaMigrazione
		,token
		,lineaself
		--,null AS lineaself
	FROM [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.Migraz_Pianificazione
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Migraz_Pianificazione' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Migraz_Pianificazione'
		)
end